<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetTextMessagesInbox StructType
 * @subpackage Structs
 */
class GetTextMessagesInbox extends ExecutionResult
{
    /**
     * The Inbox
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfTextMessageInbox
     */
    public $Inbox;
    /**
     * Constructor method for GetTextMessagesInbox
     * @uses GetTextMessagesInbox::setInbox()
     * @param \ArrayType\ArrayOfTextMessageInbox $inbox
     */
    public function __construct(\ArrayType\ArrayOfTextMessageInbox $inbox = null)
    {
        $this
            ->setInbox($inbox);
    }
    /**
     * Get Inbox value
     * @return \ArrayType\ArrayOfTextMessageInbox|null
     */
    public function getInbox()
    {
        return $this->Inbox;
    }
    /**
     * Set Inbox value
     * @param \ArrayType\ArrayOfTextMessageInbox $inbox
     * @return \StructType\GetTextMessagesInbox
     */
    public function setInbox(\ArrayType\ArrayOfTextMessageInbox $inbox = null)
    {
        $this->Inbox = $inbox;
        return $this;
    }
}
